Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 681626 - =www-client/firefox-66.0.1 - JavaScript error: jar:file:///usr/lib64/firefox/omni.ja!/components/nsUrlClassifierListManager.js, line 65: NS_ERROR_XPC_GS_RETURNED_FAILURE: ServiceManager::GetService returned failure code
Summary: =www-client/firefox-66.0.1 - JavaScript error: jar:file:///usr/lib64/firefox/...
Status: UNCONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: PPC64 Linux
: Normal normal (vote)
Assignee: Mozilla Gentoo Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-24 10:26 UTC by Fredrik Noring
Modified: 2019-07-11 15:34 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge --info (emerge-info.txt,5.17 KB, text/plain)
2019-04-05 13:58 UTC, Fredrik Noring
Details
environment (environment,221.11 KB, text/plain)
2019-04-05 14:42 UTC, Fredrik Noring
Details
build.log.gz (build.log.gz,624.98 KB, application/x-gzip)
2019-04-05 14:44 UTC, Fredrik Noring
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fredrik Noring 2019-03-24 10:26:53 UTC
Firefox 66.0.1 starts and renders pages from a previous session, but crashes with a segmentation fault when one begins to type in the URL field. This problem makes Firefox unusable as a web client.

% firefox --safe-mode
JavaScript error: jar:file:///usr/lib64/firefox/omni.ja!/components/nsUrlClassifierListManager.js, line 65: NS_ERROR_XPC_GS_RETURNED_FAILURE: ServiceManager::GetService returned failure code:
JavaScript error: resource://gre/modules/SafeBrowsing.jsm, line 135: NS_ERROR_XPC_GS_RETURNED_FAILURE: ServiceManager::GetService returned failure code:
Exiting due to channel error.
Exiting due to channel error.
Exiting due to channel error.
Exiting due to channel error.
Crash Annotation GraphicsCriticalError: |[C0][GFX1-]: Receive IPC close with reason=AbnormalShutdown (t=5.98053) zsh: segmentation fault  firefox --safe-mode
Comment 1 Jory A. Pratt gentoo-dev 2019-03-31 18:36:52 UTC
emerge --info, build.log and please attach enviroment file so we can duplicate your failure. Re-open when required info is attached.
Comment 2 Fredrik Noring 2019-04-05 13:50:59 UTC
The crash is triggered in Firefox 66.0.2 as well, with a slightly different error message:

JavaScript error: jar:file:///usr/lib64/firefox/omni.ja!/components/nsUrlClassifierListManager.js, line 65: NS_ERROR_XPC_GS_RETURNED_FAILURE: ServiceManager::GetService returned failure code:
JavaScript error: resource://gre/modules/SafeBrowsing.jsm, line 135: NS_ERROR_XPC_GS_RETURNED_FAILURE: ServiceManager::GetService returned failure code:
Exiting due to channel error.
Crash Annotation GraphicsCriticalError: |[C0][GFX1-]: Receive IPC close with reason=AbnormalShutdown (t=2.47277) [GFX1-]: Receive IPC close with reason=AbnormalShutdown
Crash Annotation GraphicsCriticalError: |[C0][GFX1-]: Receive IPC close with reason=AbnormalShutdown (t=21.6287) Exiting due to channel error.
Exiting due to channel error.
[Child 3715, Chrome_ChildThread] WARNING: pipe error (3): Connection reset by peer: file /var/tmp/portage/www-client/firefox-66.0.2/work/firefox-66.0.2/ipc/chromium/src/chrome/common/ipc_channel_posix.cc, line 357
Crash Annotation GraphicsCriticalError: |[C0][GFX1-]: Receive IPC close with reason=AbnormalShutdown (t=24.5639) Exiting due to channel error.
Exiting due to channel error.
zsh: segmentation fault  firefox --safe-mode
Comment 3 Fredrik Noring 2019-04-05 13:58:58 UTC
Created attachment 571914 [details]
emerge --info
Comment 4 Fredrik Noring 2019-04-05 14:42:02 UTC
Created attachment 571920 [details]
environment
Comment 5 Fredrik Noring 2019-04-05 14:44:41 UTC
Created attachment 571922 [details]
build.log.gz
Comment 6 Fredrik Noring 2019-07-11 14:23:53 UTC
This seems to be the same bug registered with Mozilla: "assert when typing in URL bar on ppc64le":

https://bugzilla.mozilla.org/show_bug.cgi?id=1512162

The Mozilla ticket contains an attached patch proposal for a fix.
Comment 7 Jory A. Pratt gentoo-dev 2019-07-11 14:40:57 UTC
(In reply to Fredrik Noring from comment #6)
> This seems to be the same bug registered with Mozilla: "assert when typing
> in URL bar on ppc64le":
> 
> https://bugzilla.mozilla.org/show_bug.cgi?id=1512162
> 
> The Mozilla ticket contains an attached patch proposal for a fix.

You can see the upstream bug states 68.0 is fixed as the patch was already landed. Please reopen if you can still duplicate the issue using 68.0
Comment 8 Fredrik Noring 2019-07-11 15:34:22 UTC
Well, that does not seem to be the case, because the Mozilla ticket says

 status-firefox68: affected → wontfix

https://bugzilla.mozilla.org/show_bug.cgi?id=1512162#c91

so it does not seem to be fixed in Firefox 68, unless one builds "ESR68":

 status-firefox-esr68: affected → fixed

https://bugzilla.mozilla.org/show_bug.cgi?id=1512162#c96

Also,

https://www.talospace.com/2019/07/firefox-68-on-power.html

says that

Firefox 68 is out. I haven't had a chance to exhaustively test it on my ppc64le Talos II due to business trips and some family obligations, but on cursory testing the browser seems to function normally. Unfortunately our last minute latest workaround for (what is now clearly) a compiler bug in bug 1512162 did not make release, so you'll need to add it if you build from source; without it, some optimization levels may crash or behave adversely.

So unless I'm mistaken, a patch must be applied to Firefox 68.